#!/bin/bash

NC='\033[0m'
CYAN='\033[0;36m'
GREEN='\033[0;32m'
RED='\033[0;31m'

INPUT_FILES="end_to_end/pass/*.in"
LLI="lli-3.7"
PSEUDO="../compiler/pseudo"
printf "${CYAN}Running end-to-end tests...\n${NC}"

for input_file in $INPUT_FILES; do
	target=${input_file%%.*}
	# python ../compiler/preprocessor.py $input_file > $target.clrs
	cd ../compiler
	input=$(./pseudo ../tests/$target.in | tr -d "[:space:]")
	output=$(tr -d "[:space:]" < ../tests/$target.out);
	if [[ "$input" == "$output" ]]; then
		printf "%-65s ${GREEN}SUCCESS\n${NC}" " - checking $input_file..."
	else
		printf "%-65s ${RED}ERROR\n${NC}" " - checking $input_file..." 1>&2
        printf "%s" $input
        printf "\n"
	fi
done
exit 0
